<template>
  <button type="button" class="i-checkbox" :class="{ 'i-checkbox--checked': isChecked }" @click="toggle()">
    <span class="i-checkbox__check">
      <img src="~assets/images/i-checkbox-check.svg" class="i-checkbox__image" />
    </span>
    <span class="i-checkbox__label">{{ label }}</span>
  </button>
</template>

<script>
  export default {
    props: {
      value: Boolean,
      label: String,
    },

    data() {
      return {
        isChecked: this.value,
      };
    },

    watch: {
      value() {
        if (this.isChecked !== this.value) {
          this.isChecked = this.value;
        }
      },
    },

    methods: {
      toggle() {
        this.isChecked = !this.isChecked;
        this.$emit('input', this.isChecked);
      },
    },
  };
</script>

<style lang="scss">
  .i-checkbox {
    display: flex;
    align-items: center;
    background-color: transparent;
    border: 0;
    cursor: pointer;
  }

  .i-checkbox__check {
    display: flex;
    align-items: center;
    justify-content: center;
    width: rs(32px);
    height: rs(32px);
    border: rs(1.5px) solid #fb7474;
    box-sizing: border-box;
    border-radius: rs(4px);
  }

  .i-checkbox:not(.i-checkbox--checked) .i-checkbox__check {
    border-color: #575167;
  }

  .i-checkbox__image {
    width: rs(16px);
    height: rs(12px);
  }

  .i-checkbox:not(.i-checkbox--checked) .i-checkbox__image {
    visibility: hidden;
  }

  .i-checkbox__label {
    font-size: rf(16px);
    color: #575167;
    margin-left: rs(15px);
  }
</style>
